# -*- mode: conf; coding: utf-8 -*-
# :Project:   SoL -- Test configuration
# :Created:   sab 27 set 2008 10:55:19 CET
# :Author:    Lele Gaifax <lele@metapensiero.it>
# :License:   GNU General Public License version 3 or later
# :Copyright: © 2008, 2009, 2010, 2013, 2014, 2016, 2018, 2020 Lele Gaifax
#

[DEFAULT]
debug = true

[server:main]
use = egg:Paste#http
host = 127.0.0.1
port = 6996

[app:main]
use = egg:sol

desktop.title = SoL
desktop.version = test
desktop.debug = true
desktop.domain = sol-client
desktop.manifest = /tmp/manifest.json

available_languages = en it

mako.directories = sol:views

pyramid.reload_templates = true
pyramid.debug_authorization = false
pyramid.debug_notfound = false
pyramid.debug_routematch = false
pyramid.default_locale_name = en
pyramid.includes =
    pyramid_tm
    pyramid_mailer.testing
    metapensiero.sqlalchemy.proxy.pyramid

session.secret = FooBar

sqlalchemy.url = sqlite:///:memory:

# Authentication
sol.admin.user = admin
sol.admin.password = admin
sol.admin.email = test@example.com
sol.guest.user = guest
sol.guest.password = guest
sol.enable_signin = true
sol.enable_password_reset = true
sol.signer_secret_key = SimSalaBim

sol.portraits_dir = /tmp/sol_portraits
sol.emblems_dir = /tmp/sol_emblems
sol.backups_dir = /tmp/sol_backups

# Disable logging
[loggers]
keys = root

[formatters]
keys = null

[handlers]
keys = devnull

[logger_root]
level = CRITICAL
handlers = devnull

[handler_devnull]
class = FileHandler
args = ('/dev/null',)

[formatter_null]
